> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Customer Aliases

> Retrieve the details of one of your [Customer's](/customers/overview) aliases.



## OpenAPI

````yaml customer.2024-07-30.product.live GET /customers/{id}/aliases
openapi: 3.0.0
info:
  title: Customers
  description: Manage customers and contacts
  version: '0.1'
servers:
  - url: https://dev.seqhq.io/api
    description: DEV
  - url: https://sandbox.sequencehq.com/api
    description: SANDBOX
  - url: https://eu.sequencehq.com/api
    description: PRODUCTION
security: []
tags: []
paths:
  /customers/{id}/aliases:
    servers: []
    parameters: []
    get:
      tags:
        - Customer Aliases
      summary: Get Customer Aliases
      description: >-
        Retrieve the details of one of your [Customer's](/customers/overview)
        aliases.
      operationId: getCustomersByIdAliases
      parameters:
        - name: id
          in: path
          description: Customer ID
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: Sequence-Version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetCustomerAliasesEndpointEndpointResponse
                example:
                  items:
                    - id: 0185a140-194a-7e9d-9fae-6a034fd4a725
                      sequenceAccountId: cd243b67-7d8c-42ee-b19f-b4e41f584415
                      customerId: 0185a142-54ff-7ce5-846a-fc188432da6e
                      value: customer-alias-123
                      createdAt: '2022-10-01T00:00:00Z'
              examples:
                GetCustomerAliasesEndpointEndpointResponse:
                  summary: ''
                  value:
                    items:
                      - id: 0185a140-194a-7e9d-9fae-6a034fd4a725
                        sequenceAccountId: cd243b67-7d8c-42ee-b19f-b4e41f584415
                        customerId: 0185a142-54ff-7ce5-846a-fc188432da6e
                        value: customer-alias-123
                        createdAt: '2022-10-01T00:00:00Z'
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    GetCustomerAliasesEndpointEndpointResponse:
      required:
        - items
      type: object
      example:
        items:
          - id: 0185a140-194a-7e9d-9fae-6a034fd4a725
            sequenceAccountId: cd243b67-7d8c-42ee-b19f-b4e41f584415
            customerId: 0185a142-54ff-7ce5-846a-fc188432da6e
            value: customer-alias-123
            createdAt: '2022-10-01T00:00:00Z'
      properties:
        items:
          type: array
          example:
            - id: 0185a140-194a-7e9d-9fae-6a034fd4a725
              sequenceAccountId: cd243b67-7d8c-42ee-b19f-b4e41f584415
              customerId: 0185a142-54ff-7ce5-846a-fc188432da6e
              value: customer-alias-123
              createdAt: '2022-10-01T00:00:00Z'
          items:
            $ref: '#/components/schemas/CustomerAlias'
    CustomerAlias:
      required:
        - createdAt
        - customerId
        - id
        - sequenceAccountId
        - value
      type: object
      example:
        id: 0185a140-194a-7e9d-9fae-6a034fd4a725
        sequenceAccountId: cd243b67-7d8c-42ee-b19f-b4e41f584415
        customerId: 0185a142-54ff-7ce5-846a-fc188432da6e
        value: customer-alias-123
        createdAt: '2022-10-01T00:00:00Z'
      properties:
        id:
          type: string
          description: Unique ID
          example: 0185a140-194a-7e9d-9fae-6a034fd4a725
        sequenceAccountId:
          type: string
          description: Sequence Account ID
          example: cd243b67-7d8c-42ee-b19f-b4e41f584415
        customerId:
          type: string
          description: Customer ID
          example: 0185a142-54ff-7ce5-846a-fc188432da6e
        value:
          type: string
          description: Alias value
          example: customer-alias-123
        createdAt:
          type: string
          description: Created At
          example: '2022-10-01T00:00:00Z'

````